#/usr/bin/bash

# set-tcp-congestion.sh changes congestion control algorythm.
# this setup is machine wide and affects all the applications.

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

algorythm='vegas'
echo 'Distributing ssh and nodes files'
while IFS='' read -r node || [[ -n "$node" ]]; do
   ssh_comm="echo $algorythm > /proc/sys/net/ipv4/tcp_congestion_control"
   echo $node:$ssh_comm
   ssh -n root@$node $ssh_comm
done < "$1

