#/usr/bin/bash

# stop_nfcapd.sh stops netflow capture daemon (nfcapd) and is
# called before the experiment is started (to kill instanced
# that could be runing and after an experiment ends to ensure
# all the cached data is saved to file.

if [ "$1" == "" ]; then
    echo "Please provide nodes input file. Exiting."
    exit 1
fi

echo 'Stopping nfcapd processes.'
while IFS='' read -r node || [[ -n "$node" ]]; do
    echo $node
    ssh -n root@$node 'pkill nfcapd'
done < "$1"

